Public Class Hashtable(Of Type)
    Inherits DictionaryBase

    Public ReadOnly Property Keys() As ICollection
        Get
            Return MyBase.Dictionary.Keys
        End Get
    End Property

    Default Public Property Item(ByVal key As String) As Type
        Get
            Return CType(MyBase.Dictionary(key), Type)
        End Get
        Set(ByVal value As Type)
            MyBase.Dictionary(key) = value
        End Set
    End Property

    Public Overloads Sub Add(ByVal key As String, ByVal obj As Type)
        MyBase.Dictionary.Add(key, obj)
    End Sub

    Public ReadOnly Property Values() As ICollection
        Get
            Return Dictionary.Values
        End Get
    End Property

    Public Function Contains(ByVal key As String) As Boolean
        Return Dictionary.Contains(key)
    End Function

    Public Sub Remove(ByVal key As String)
        Dictionary.Remove(key)
    End Sub

End Class
